Workflow-Status
The Workflow Status APIs allows you to add, update and delete candidates status.
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/projects-api/v1/workflow-statuses
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /projects-api/v1/workflow-statuses
This API allows you to get workflow-status with the specified searchKey.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| from | query | integer | false |
| size | query | integer | false |
| searchName | query | string | false |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"message": {
"type": "string",
"description": "Message associated with the response."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
},
"pagination": {
"type": "object",
"properties": {
"size": {
"type": "number",
"description": "Size of the data in the current response."
},
"from": {
"type": "number",
"description": "Start index of the data in the current response."
},
"totalCount": {
"type": "number",
"description": "Total count of items available."
}
},
"required": {
"0": "size",
"1": "from",
"2": "totalCount"
},
"description": "Pagination information."
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"statusId": {
"type": "string",
"description": "ID of the workflow status."
},
"name": {
"type": "string",
"description": "Name of the workflow status."
},
"statusCode": {
"type": "string",
"description": "Code associated with the workflow status."
},
"statusType": {
"type": "string",
"description": "Type of the workflow status."
},
"associatedWorkflows": {
"type": "array",
"items": {},
"description": "List of associated workflows."
},
"createdByRecruiterInfo": {
"type": "object",
"properties": {
"recruiterUserId": {
"type": "string",
"description": "Unique identifier of the recruiter."
}
},
"required": {
"0": "recruiterUserId"
},
"description": "Information about the recruiter who created the status."
},
"createdDate": {
"type": "string",
"description": "Date when the status was created."
},
"updatedDate": {
"type": "string",
"description": "Date when the status was last updated."
}
},
"required": {
"0": "statusId",
"1": "name",
"2": "statusCode",
"3": "statusType",
"4": "createdByRecruiterInfo",
"5": "createdDate",
"6": "updatedDate"
},
"description": "Information about a workflow status."
}
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp",
"3": "pagination",
"4": "data"
},
"description": "Response containing information about all workflow statuses."
}
]204 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the creation response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the creation response."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the creation response occurred."
},
"id": {
"type": "string",
"description": "The identifier associated with the created entity."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp",
"3": "id"
},
"description": "Creation response object."
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the error response."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The API or endpoint associated with the error."
},
"message": {
"type": "string",
"description": "A descriptive error message."
}
},
"description": "Details of an individual error within the array."
},
"description": "An array containing details of errors."
}
},
"description": "Error response object for a bad request."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | GetAllWorkflowStatusResponse |
| 204 | 204 response | CreationResponse |
| 400 | 400 response | BadRequestError |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/projects-api/v1/workflow-statuses
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'POST /projects-api/v1/workflow-statuses
This API allows you to create a workflow-status.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the workflow status."
},
"statusType": {
"type": "string",
"description": "Type of the workflow status."
},
"statusCode": {
"type": "string",
"description": "Status code of the workflow status."
},
"createdByRecruiterInfo": {
"type": "object",
"properties": {
"recruiterName": {
"type": "string",
"description": "Name of the recruiter who created the workflow status."
},
"recruiterEmail": {
"type": "string",
"description": "Email of the recruiter who created the workflow status."
},
"recruiterUserId": {
"type": "string",
"description": "User ID of the recruiter who created the workflow status."
}
},
"required": {
"0": "recruiterName",
"1": "recruiterEmail",
"2": "recruiterUserId"
},
"description": "Information about the recruiter who created the workflow status."
}
},
"required": {
"0": "name",
"1": "statusType",
"2": "statusCode",
"3": "createdByRecruiterInfo"
},
"description": "Object representing the request to create a workflow status."
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | CreateWorkflowStatusRequest |
Response
201 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the creation response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the creation response."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the creation response occurred."
},
"id": {
"type": "string",
"description": "The identifier associated with the created entity."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp",
"3": "id"
},
"description": "Creation response object."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the internal server error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the internal server error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the internal server error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Internal server error response object."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 201 | 201 response | CreationResponse |
| 500 | 500 response | InternalServerError |
delete
copied!# You can also use wgetcurl -X DELETE https://api-qa.phenompro.com/projects-api/v1/workflow-statuses/{statusId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'DELETE /projects-api/v1/workflow-statuses/{statusId}
This API deletes the workflow-status of a given statusId.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| statusId | path | string | true |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"message": {
"type": "string",
"description": "Message associated with the response."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response containing information about the deletion of a workflow status."
}
]404 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the not found error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the not found error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the not found error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Not found error response object."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the internal server error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the internal server error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the internal server error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Internal server error response object."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | DeleteWorkflowStatusResponse |
| 404 | 404 response | NotFoundError |
| 500 | 500 response | InternalServerError |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/projects-api/v1/workflow-statuses/{statusId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /projects-api/v1/workflow-statuses/{statusId}
This API retrieves all the details of a workflow-status using its unique statusId.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| statusId | path | string | true |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"message": {
"type": "string",
"description": "Message associated with the response."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the workflow status."
},
"statusCode": {
"type": "string",
"description": "Status code associated with the workflow status."
},
"statusType": {
"type": "string",
"description": "Type of the workflow status."
},
"associatedWorkflows": {
"type": "array",
"items": {
"type": "object",
"properties": {
"workflowName": {
"type": "string",
"description": "Name of the associated workflow."
},
"workflowId": {
"type": "string",
"description": "ID of the associated workflow."
}
},
"required": {
"0": "workflowName",
"1": "workflowId"
}
},
"description": "List of associated workflows."
},
"createdByRecruiterInfo": {
"type": "object",
"properties": {
"recruiterUserId": {
"type": "string",
"description": "ID of the recruiter who created the status."
},
"recruiterName": {
"type": "string",
"description": "Name of the recruiter who created the status."
},
"recruiterEmail": {
"type": "string",
"description": "Email of the recruiter who created the status."
}
},
"required": {
"0": "recruiterUserId",
"1": "recruiterName",
"2": "recruiterEmail"
},
"description": "Information about the recruiter who created the status."
},
"createdDate": {
"type": "string",
"description": "Timestamp of when the status was created."
},
"updatedDate": {
"type": "string",
"description": "Timestamp of when the status was last updated."
}
},
"required": {
"0": "name",
"1": "statusCode",
"2": "statusType",
"3": "associatedWorkflows",
"4": "createdByRecruiterInfo",
"5": "createdDate",
"6": "updatedDate"
}
},
"description": "List of workflow status information."
}
},
"description": "Response containing information about workflow status."
}
]404 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the error response."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The API or endpoint associated with the error."
},
"message": {
"type": "string",
"description": "A descriptive error message."
}
},
"description": "Details of an individual error within the array."
},
"description": "An array containing details of errors."
}
},
"description": "Error response object for a bad request."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the internal server error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the internal server error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the internal server error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Internal server error response object."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | GetWorkflowStatusResponse |
| 404 | 404 response | BadRequestError |
| 500 | 500 response | InternalServerError |
Workflows
These APIs allows you to create, update and delete Workflows.
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/projects-api/v1/workflows
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /projects-api/v1/workflows
This API allows you to get workflows with the specified searchKey.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| from | query | integer | false |
| size | query | integer | false |
| searchName | query | string | false |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the response status."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the response was generated."
},
"pagination": {
"type": "object",
"properties": {
"size": {
"type": "integer",
"description": "The number of items in the current page."
},
"from": {
"type": "integer",
"description": "The starting index of items in the current page."
},
"totalCount": {
"type": "integer",
"description": "The total number of items available."
}
},
"required": {
"0": "size",
"1": "from",
"2": "totalCount"
},
"description": "Pagination details for the response."
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"workflowName": {
"type": "string",
"description": "The name of the workflow."
},
"createdDate": {
"type": "string",
"description": "The date when the workflow was created."
},
"updatedDate": {
"type": "string",
"description": "The date when the workflow was last updated."
},
"stages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name of the workflow stage."
},
"statusCode": {
"type": "string",
"description": "The status code associated with the stage."
},
"statusId": {
"type": "string",
"description": "The unique identifier for the stage."
},
"furtherTransitionStages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name of the further transition stage."
},
"statusCode": {
"type": "string",
"description": "The status code associated with the further transition stage."
}
},
"required": {
"0": "name",
"1": "statusCode"
},
"description": "Details of a further transition stage."
}
},
"isRejectionStage": {
"type": "boolean",
"description": "Indicates whether the stage is a rejection stage."
},
"isFinalStage": {
"type": "boolean",
"description": "Indicates whether the stage is a final stage."
},
"isDeletedStage": {
"type": "boolean",
"description": "Indicates whether the stage is a deleted stage."
}
},
"required": {
"0": "name",
"1": "statusCode",
"2": "statusId",
"3": "furtherTransitionStages",
"4": "isRejectionStage",
"5": "isFinalStage",
"6": "isDeletedStage"
},
"description": "Details of an individual workflow stage."
},
"description": "An array containing details of workflow stages."
},
"createdByRecruiterInfo": {
"type": "object",
"properties": {
"recruiterUserId": {
"type": "string",
"description": "The unique identifier for the recruiter who created the workflow."
}
},
"required": {
"0": "recruiterUserId"
},
"description": "Details of the recruiter who created the workflow."
},
"workflowId": {
"type": "string",
"description": "The unique identifier for the workflow."
},
"activeStagesCount": {
"type": "integer",
"description": "The number of active stages in the workflow."
}
},
"required": {
"0": "workflowName",
"1": "createdDate",
"2": "updatedDate",
"3": "stages",
"4": "createdByRecruiterInfo",
"5": "workflowId",
"6": "activeStagesCount"
},
"description": "Details of an individual workflow within the array."
},
"description": "An array containing details of workflows."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp",
"3": "pagination",
"4": "data"
},
"description": "Response object for a successful fetch of workflows."
}
]204 response
copied![
{
"type": "object",
"description": "Response indicating no data has been found.",
"properties": {}
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the error response."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The API or endpoint associated with the error."
},
"message": {
"type": "string",
"description": "A descriptive error message."
}
},
"description": "Details of an individual error within the array."
},
"description": "An array containing details of errors."
}
},
"description": "Error response object for a bad request."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | GetAllWorkflowResponse |
| 204 | 204 response | NoContentResponse |
| 400 | 400 response | BadRequestError |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/projects-api/v1/workflows
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'POST /projects-api/v1/workflows
This API allows you to create a workflow.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"workflowName": {
"type": "string",
"description": "Name of the workflow to be created."
},
"stages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the workflow stage."
},
"statusCode": {
"type": "string",
"description": "Status code associated with the workflow stage."
},
"statusId": {
"type": "string",
"description": "ID associated with the status of the workflow stage."
},
"isRejectionStage": {
"type": "boolean",
"description": "Boolean indicating whether the stage is a rejection stage."
},
"isFinalStage": {
"type": "boolean",
"description": "Boolean indicating whether the stage is a final stage."
},
"furtherTransitionStages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the further transition stage."
},
"statusCode": {
"type": "string",
"description": "Status code associated with the further transition stage."
}
},
"required": {
"0": "name",
"1": "statusCode"
}
},
"description": "Array of objects representing further transition stages."
}
},
"required": {
"0": "name",
"1": "statusCode",
"2": "statusId",
"3": "isRejectionStage",
"4": "isFinalStage"
}
},
"description": "Array of objects representing workflow stages."
}
},
"required": {
"0": "workflowName",
"1": "stages"
},
"description": "Object representing the request to create a workflow."
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | CreateWorkflowRequest |
Response
201 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the creation response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the creation response."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the creation response occurred."
},
"id": {
"type": "string",
"description": "The identifier associated with the created entity."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp",
"3": "id"
},
"description": "Creation response object."
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the error response."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The API or endpoint associated with the error."
},
"message": {
"type": "string",
"description": "A descriptive error message."
}
},
"description": "Details of an individual error within the array."
},
"description": "An array containing details of errors."
}
},
"description": "Error response object for a bad request."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the internal server error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the internal server error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the internal server error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Internal server error response object."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 201 | 201 response | CreationResponse |
| 400 | 400 response | BadRequestError |
| 500 | 500 response | InternalServerError |
delete
copied!# You can also use wgetcurl -X DELETE https://api-qa.phenompro.com/projects-api/v1/workflows/{workflowId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'DELETE /projects-api/v1/workflows/{workflowId}
This API deletes the workflow of a given workflow id.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| workflowId | path | string | true |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"message": {
"type": "string",
"description": "Message associated with the response."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
},
"description": "Response confirming the deletion of a workflow."
}
]404 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the not found error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the not found error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the not found error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Not found error response object."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the internal server error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the internal server error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the internal server error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Internal server error response object."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | DeleteWorkflowResponse |
| 404 | 404 response | NotFoundError |
| 500 | 500 response | InternalServerError |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/projects-api/v1/workflows/{workflowId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /projects-api/v1/workflows/{workflowId}
This API retrieves all the details of a workflow using its unique workflow ID.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| workflowId | path | string | true |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"message": {
"type": "string",
"description": "Message associated with the response."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"workflowName": {
"type": "string",
"description": "Name of the workflow."
},
"createdDate": {
"type": "string",
"description": "Timestamp when the workflow was created."
},
"updatedDate": {
"type": "string",
"description": "Timestamp when the workflow was last updated."
},
"stages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the workflow stage."
},
"statusCode": {
"type": "string",
"description": "Status code of the workflow stage."
},
"statusId": {
"type": "string",
"description": "ID of the workflow stage."
},
"externalIntegrations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"integrationType": {
"type": "string",
"description": "Name of the integration."
},
"type": {
"type": "string",
"description": "Type of the integration."
},
"name": {
"type": "string",
"description": "Name of the category."
}
},
"description": "External Integrations Details."
}
},
"furtherTransitionStages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the further transition stage."
},
"statusCode": {
"type": "string",
"description": "Status code of the further transition stage."
}
},
"required": {
"0": "name",
"1": "statusCode"
},
"description": "Further transition stage details."
}
},
"isRejectionStage": {
"type": "boolean",
"description": "Indicates if the stage is a rejection stage."
},
"isFinalStage": {
"type": "boolean",
"description": "Indicates if the stage is a final stage."
},
"isDeletedStage": {
"type": "boolean",
"description": "Indicates if the stage is deleted."
}
},
"required": {
"0": "name",
"1": "statusCode",
"2": "statusId",
"3": "furtherTransitionStages",
"4": "isRejectionStage",
"5": "isFinalStage",
"6": "isDeletedStage"
},
"description": "Workflow stage details."
}
},
"createdByRecruiterInfo": {
"type": "object",
"properties": {
"recruiterUserId": {
"type": "string",
"description": "ID of the recruiter who created the workflow."
}
},
"required": {
"0": "recruiterUserId"
},
"description": "Information about the recruiter who created the workflow."
},
"workflowId": {
"type": "string",
"description": "ID of the workflow."
},
"associatedProjects": {
"type": "array",
"items": {
"type": "object",
"properties": {
"projectId": {
"type": "string",
"description": "ID of the associated project."
},
"projectName": {
"type": "string",
"description": "Name of the associated project."
}
},
"required": {
"0": "projectId",
"1": "projectName"
},
"description": "Details of the associated project."
}
},
"updatedByRecruiterInfo": {
"type": "object",
"properties": {
"recruiterUserId": {
"type": "string",
"description": "ID of the recruiter who last updated the workflow."
}
},
"required": {
"0": "recruiterUserId"
},
"description": "Information about the recruiter who last updated the workflow."
}
},
"required": {
"0": "workflowName",
"1": "createdDate",
"2": "updatedDate",
"3": "stages",
"4": "createdByRecruiterInfo",
"5": "workflowId",
"6": "associatedProjects",
"7": "updatedByRecruiterInfo"
},
"description": "Details of a workflow."
}
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp",
"3": "data"
},
"description": "Response containing information about workflows."
}
]404 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the not found error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the not found error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the not found error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Not found error response object."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the internal server error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the internal server error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the internal server error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Internal server error response object."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | GetWorkflowResponse |
| 404 | 404 response | NotFoundError |
| 500 | 500 response | InternalServerError |
put
copied!# You can also use wgetcurl -X PUT https://api-qa.phenompro.com/projects-api/v1/workflows/{workflowId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'PUT /projects-api/v1/workflows/{workflowId}
This API is used to replace Workflow based on WorkflowId
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"workflowName": {
"type": "string",
"description": "Name of the workflow."
},
"stages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the workflow stage."
},
"statusCode": {
"type": "string",
"description": "Status code of the workflow stage."
},
"statusId": {
"type": "string",
"description": "Status ID of the workflow stage."
},
"furtherTransitionStages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the further transition stage."
},
"statusCode": {
"type": "string",
"description": "Status code of the further transition stage."
}
},
"required": {
"0": "name",
"1": "statusCode"
},
"description": "Information about further transition stages."
}
},
"isRejectionStage": {
"type": "boolean",
"description": "Flag indicating whether the stage is a rejection stage."
},
"isFinalStage": {
"type": "boolean",
"description": "Flag indicating whether the stage is a final stage."
},
"isDeletedStage": {
"type": "boolean",
"description": "Flag indicating whether the stage is deleted."
}
},
"required": {
"0": "name",
"1": "statusCode",
"2": "statusId"
},
"description": "Information about the workflow stage."
}
}
},
"required": {
"0": "workflowName",
"1": "stages"
},
"description": "Object representing the request to replace a workflow."
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| workflowId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | ReplaceWorkflowRequest |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"message": {
"type": "string",
"description": "Message associated with the response."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response confirming the update of a workflow."
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the error response."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The API or endpoint associated with the error."
},
"message": {
"type": "string",
"description": "A descriptive error message."
}
},
"description": "Details of an individual error within the array."
},
"description": "An array containing details of errors."
}
},
"description": "Error response object for a bad request."
}
]404 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the not found error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the not found error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the not found error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Not found error response object."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the internal server error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the internal server error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the internal server error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Internal server error response object."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | UpdateWorkflowResponse |
| 400 | 400 response | BadRequestError |
| 404 | 404 response | NotFoundError |
| 500 | 500 response | InternalServerError |
patch
copied!# You can also use wgetcurl -X PATCH https://api-qa.phenompro.com/projects-api/v1/workflows/{workflowId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'PATCH /projects-api/v1/workflows/{workflowId}
This API is used to update a workflow using its unique workflowId
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"opType": {
"type": "string",
"description": "Operation type for updating the workflow."
},
"stages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the workflow stage."
}
},
"required": {
"0": "name"
}
},
"description": "Array of objects representing workflow stages to be updated."
}
},
"required": {
"0": "opType",
"1": "stages"
},
"description": "Object representing the request to update a workflow."
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| workflowId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | UpdateWorkflowRequest |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"message": {
"type": "string",
"description": "Message associated with the response."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response confirming the update of a workflow."
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the error response."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The API or endpoint associated with the error."
},
"message": {
"type": "string",
"description": "A descriptive error message."
}
},
"description": "Details of an individual error within the array."
},
"description": "An array containing details of errors."
}
},
"description": "Error response object for a bad request."
}
]404 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the not found error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the not found error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the not found error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Not found error response object."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the internal server error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the internal server error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the internal server error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Internal server error response object."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | UpdateWorkflowResponse |
| 400 | 400 response | BadRequestError |
| 404 | 404 response | NotFoundError |
| 500 | 500 response | InternalServerError |
Projects
These APIs allows you to create, update and delete Projects.
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/projects-api/v1/projects
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /projects-api/v1/projects
This API allows you to get projects with the specified searchKey.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| from | query | integer | false |
| size | query | integer | false |
| searchKey | query | string | false |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the response status."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the response was generated."
},
"pagination": {
"type": "object",
"properties": {
"size": {
"type": "integer",
"description": "The number of items in the current page."
},
"from": {
"type": "integer",
"description": "The starting index of items in the current page."
},
"totalCount": {
"type": "integer",
"description": "The total number of items available."
}
},
"required": {
"0": "size",
"1": "from",
"2": "totalCount"
},
"description": "Pagination details for the response."
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"projectName": {
"type": "string",
"description": "The name of the project."
},
"projectId": {
"type": "string",
"description": "The unique identifier for the project."
},
"createdDate": {
"type": "string",
"description": "The date when the project was created."
},
"createdRecruiterInfo": {
"type": "object",
"properties": {
"recruiterUserId": {
"type": "string",
"description": "The unique identifier for the recruiter who created the project."
},
"recruiterName": {
"type": "string",
"description": "The name of the recruiter who created the project."
},
"recruiterEmail": {
"type": "string",
"description": "The email address of the recruiter who created the project."
}
},
"required": {
"0": "recruiterUserId",
"1": "recruiterName",
"2": "recruiterEmail"
},
"description": "Details of the recruiter who created the project."
},
"workflowId": {
"type": "string",
"description": "The unique identifier for the workflow associated with the project."
},
"workflowName": {
"type": "string",
"description": "The name of the workflow associated with the project."
}
},
"required": {
"0": "projectName",
"1": "projectId",
"2": "createdDate",
"3": "createdRecruiterInfo",
"4": "workflowId",
"5": "workflowName"
},
"description": "Details of an individual project within the array."
},
"description": "An array containing details of projects."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp",
"3": "pagination",
"4": "data"
},
"description": "Response object for a successful fetch of projects."
}
]204 response
copied![
{
"type": "object",
"description": "Response indicating no data has been found.",
"properties": {}
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the error response."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The API or endpoint associated with the error."
},
"message": {
"type": "string",
"description": "A descriptive error message."
}
},
"description": "Details of an individual error within the array."
},
"description": "An array containing details of errors."
}
},
"description": "Error response object for a bad request."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | GetAllProjectsResponse |
| 204 | 204 response | NoContentResponse |
| 400 | 400 response | BadRequestError |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/projects-api/v1/projects
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'POST /projects-api/v1/projects
This API allows you to create a project.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"projectName": {
"type": "string",
"description": "Name of the project."
},
"projectDescription": {
"type": "string",
"description": "Description of the project."
},
"isConfidential": {
"type": "boolean",
"description": "Flag indicating whether the project is confidential."
},
"categoryList": {
"type": "array",
"items": {
"type": "object",
"properties": {
"internalCategoryId": {
"type": "string",
"description": "Internal category ID."
},
"category": {
"type": "string",
"description": "Category name."
}
},
"required": {
"0": "internalCategoryId",
"1": "category"
}
},
"description": "List of project categories."
},
"endDate": {
"type": "string",
"description": "End date of the project."
},
"hiringTeamList": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the team member."
},
"emailId": {
"type": "string",
"description": "Email ID of the team member."
},
"type": {
"type": "string",
"description": "Type of the team member."
},
"role": {
"type": "string",
"description": "Role of the team member."
},
"id": {
"type": "string",
"description": "ID of the team member."
}
},
"required": {
"0": "name",
"1": "emailId",
"2": "type",
"3": "role",
"4": "id"
}
},
"description": "List of hiring team members."
},
"projectAttachmentList": {
"type": "array",
"items": {
"type": "object",
"properties": {
"fileName": {
"type": "string",
"description": "Name of the attached file."
},
"description": {
"type": "string",
"description": "Description of the attached file."
},
"fileUrl": {
"type": "string",
"description": "URL of the attached file."
},
"uploadedByEmail": {
"type": "string",
"description": "Email of the user who uploaded the file."
},
"uploadedByName": {
"type": "string",
"description": "Name of the user who uploaded the file."
},
"size": {
"type": "integer",
"format": "int32",
"description": "Size of the attached file in bytes."
}
},
"required": {
"0": "fileName",
"1": "description",
"2": "fileUrl",
"3": "uploadedByEmail",
"4": "uploadedByName",
"5": "size"
}
},
"description": "List of project attachments."
},
"workflowId": {
"type": "string",
"description": "ID of the workflow associated with the project."
},
"workflowName": {
"type": "string",
"description": "Name of the workflow associated with the project."
},
"createdRecruiterInfo": {
"type": "object",
"properties": {
"recruiterName": {
"type": "string",
"description": "Name of the recruiter who created the project."
},
"recruiterEmail": {
"type": "string",
"description": "Email of the recruiter who created the project."
},
"recruiterUserId": {
"type": "string",
"description": "User ID of the recruiter who created the project."
}
},
"description": "Information about the recruiter who created the project."
},
"status": {
"type": "string",
"description": "Status of the project."
}
},
"required": {
"0": "projectName",
"1": "isConfidential",
"2": "hiringTeamList",
"3": "workflowId",
"4": "workflowName",
"5": "createdRecruiterInfo",
"6": "status"
},
"description": "Object representing the request to create a project."
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | CreateProjectRequest |
Response
201 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the creation response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the creation response."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the creation response occurred."
},
"id": {
"type": "string",
"description": "The identifier associated with the created entity."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp",
"3": "id"
},
"description": "Creation response object."
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the error response."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The API or endpoint associated with the error."
},
"message": {
"type": "string",
"description": "A descriptive error message."
}
},
"description": "Details of an individual error within the array."
},
"description": "An array containing details of errors."
}
},
"description": "Error response object for a bad request."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the internal server error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the internal server error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the internal server error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Internal server error response object."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 201 | 201 response | CreationResponse |
| 400 | 400 response | BadRequestError |
| 500 | 500 response | InternalServerError |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/projects-api/v1/projects/{projectId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /projects-api/v1/projects/{projectId}
This API retrieves all the details of a project using its unique project ID.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| projectId | path | string | true |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the response status."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the response was generated."
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"projectName": {
"type": "string",
"description": "The name of the project."
},
"projectDescription": {
"type": "string",
"description": "The description of the project."
},
"projectId": {
"type": "string",
"description": "The unique identifier for the project."
},
"createdDate": {
"type": "string",
"description": "The date when the project was created."
},
"updatedDate": {
"type": "string",
"description": "The date when the project was last updated."
},
"endDate": {
"type": "string",
"description": "The end date of the project."
},
"status": {
"type": "string",
"description": "The status of the project."
},
"isConfidential": {
"type": "string",
"description": "Indicates whether the project is confidential."
},
"createdRecruiterInfo": {
"type": "object",
"properties": {
"recruiterUserId": {
"type": "string",
"description": "The unique identifier for the recruiter who created the project."
},
"recruiterName": {
"type": "string",
"description": "The name of the recruiter who created the project."
},
"recruiterEmail": {
"type": "string",
"description": "The email of the recruiter who created the project."
}
},
"description": "Details of the recruiter who created the project."
},
"updatedRecruiterInfo": {
"type": "object",
"properties": {
"recruiterUserId": {
"type": "string",
"description": "The unique identifier for the recruiter who last updated the project."
},
"recruiterName": {
"type": "string",
"description": "The name of the recruiter who last updated the project."
},
"recruiterEmail": {
"type": "string",
"description": "The email of the recruiter who last updated the project."
}
},
"description": "Details of the recruiter who last updated the project."
},
"workflowId": {
"type": "string",
"description": "The unique identifier for the workflow associated with the project."
},
"workflowName": {
"type": "string",
"description": "The name of the workflow associated with the project."
},
"brand": {
"type": "string",
"description": "The brand associated with the project."
},
"source": {
"type": "string",
"description": "The source of the project."
},
"hiringTeamList": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name of a member in the hiring team."
},
"emailId": {
"type": "string",
"description": "The email address of a member in the hiring team."
},
"role": {
"type": "string",
"description": "The role of a member in the hiring team."
},
"id": {
"type": "string",
"description": "The unique identifier for a member in the hiring team."
},
"type": {
"type": "string",
"description": "The type of a member in the hiring team."
},
"pictureS3Url": {
"type": "string",
"description": "The URL of the picture of a member in the hiring team."
}
}
},
"description": "An array containing details of the hiring team for the project."
},
"categoryList": {
"type": "array",
"items": {},
"description": "An array containing details of categories associated with the project."
},
"projectAttachmentList": {
"type": "array",
"items": {},
"description": "An array containing details of attachments associated with the project."
},
"matchingCriteria": {
"type": "object",
"properties": {
"mustHaveSkills": {
"type": "array",
"items": {},
"description": "An array containing details of must-have skills for the project."
},
"goodToHaveSkills": {
"type": "array",
"items": {},
"description": "An array containing details of good-to-have skills for the project."
},
"locationList": {
"type": "array",
"items": {},
"description": "An array containing details of locations for the project."
},
"yearsOfExperience": {
"type": "object",
"properties": {
"min": {
"type": "number",
"description": "The minimum years of experience required for the project."
},
"max": {
"type": "number",
"description": "The maximum years of experience required for the project."
},
"unit": {
"type": "string",
"description": "The unit of years for the experience requirement (e.g., 'years')."
}
},
"description": "Details of the years of experience required for the project."
},
"distance": {
"type": "object",
"properties": {
"min": {
"type": "number",
"description": "The minimum distance for the project."
},
"max": {
"type": "number",
"description": "The maximum distance for the project."
},
"unit": {
"type": "string",
"description": "The unit of distance for the project (e.g., 'miles')."
}
},
"description": "Details of the distance for the project."
},
"similarJobTitle": {
"type": "string",
"description": "The similar job title for the project."
},
"idealCandidate": {
"type": "object",
"description": "Details of the ideal candidate for the project."
}
},
"description": "Details of the matching criteria for the project."
},
"categoryNames": {
"type": "array",
"items": {},
"description": "An array containing names of categories associated with the project."
},
"confidential": {
"type": "string",
"description": "Indicates whether the project is confidential."
},
"candidateInfos": {
"type": "array",
"items": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "The unique identifier for a candidate in the project."
},
"parentId": {
"type": "string",
"description": "The unique identifier for the parent of the candidate in the project."
}
},
"required": {
"0": "userId",
"1": "parentId"
},
"description": "Details of a candidate in the project."
},
"description": "An array containing details of candidates associated with the project."
}
},
"required": {
"0": "projectName",
"1": "projectDescription",
"2": "projectId",
"3": "createdDate",
"4": "updatedDate",
"5": "endDate",
"6": "status",
"7": "isConfidential",
"8": "createdRecruiterInfo",
"9": "updatedRecruiterInfo",
"10": "workflowId",
"11": "workflowName",
"12": "brand",
"13": "source",
"14": "hiringTeamList",
"15": "categoryList",
"16": "projectAttachmentList",
"17": "matchingCriteria",
"18": "categoryNames",
"19": "confidential",
"20": "candidateInfos"
},
"description": "Details of an individual project within the array."
},
"description": "An array containing details of projects."
}
},
"description": "Response object for a successful fetch of projects."
}
]404 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the not found error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the not found error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the not found error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Not found error response object."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the internal server error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the internal server error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the internal server error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Internal server error response object."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | GetProjectsResponse |
| 404 | 404 response | NotFoundError |
| 500 | 500 response | InternalServerError |
patch
copied!# You can also use wgetcurl -X PATCH https://api-qa.phenompro.com/projects-api/v1/projects/{projectId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'PATCH /projects-api/v1/projects/{projectId}
This API allows you to update project with the specified projectId.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"projectName": {
"type": "string",
"description": "Updated name of the project."
},
"projectDescription": {
"type": "string",
"description": "Updated description of the project."
},
"isConfidential": {
"type": "boolean",
"description": "Flag indicating whether the project is confidential."
},
"categoryList": {
"type": "array",
"items": {
"type": "object",
"properties": {
"internalCategoryId": {
"type": "string",
"description": "Internal category ID."
},
"category": {
"type": "string",
"description": "Updated category name."
}
},
"required": {
"0": "internalCategoryId",
"1": "category"
}
},
"description": "Updated list of project categories."
},
"endDate": {
"type": "string",
"description": "Updated end date of the project."
},
"updatedRecruiterInfo": {
"type": "object",
"properties": {
"recruiterName": {
"type": "string",
"description": "Updated name of the recruiter."
},
"recruiterEmail": {
"type": "string",
"description": "Updated email of the recruiter."
},
"recruiterUserId": {
"type": "string",
"description": "Updated user ID of the recruiter."
}
},
"description": "Updated information about the recruiter who updated the project."
},
"candidateInfos": {
"type": "array",
"items": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "ID of the candidate to be added or updated in the project."
}
},
"required": {
"0": "userId"
}
},
"description": "List of candidate information to be added or updated in the project."
}
},
"description": "Object representing the request to update a project."
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| projectId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | UpdateProjectRequest |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the update operation."
},
"message": {
"type": "string",
"description": "Additional message providing information about the update operation."
},
"timestamp": {
"type": "string",
"description": "Timestamp indicating when the update response was generated."
}
},
"required": {
"0": "status",
"1": "timestamp"
},
"description": "Object representing the response to a project update operation."
}
]404 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the not found error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the not found error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the not found error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Not found error response object."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the internal server error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the internal server error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the internal server error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Internal server error response object."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | UpdateProjectResponse |
| 404 | 404 response | NotFoundError |
| 500 | 500 response | InternalServerError |
Candidates
These APIs allows you to add, update and delete candidates from Projects.
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/projects-api/v1/candidates/{candidateId}/project-activities
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /projects-api/v1/candidates/{candidateId}/project-activities
This API allows you to get all the Project Activities for a Candidate
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| candidateId | path | string | true |
| from | query | integer | false |
| size | query | integer | false |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"message": {
"type": "string",
"description": "Message associated with the response."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
},
"pagination": {
"type": "object",
"properties": {
"size": {
"type": "number",
"description": "Number of items in the response."
},
"from": {
"type": "number",
"description": "Start index of the items in the response."
},
"totalCount": {
"type": "number",
"description": "Total count of items available."
}
},
"required": {
"0": "size",
"1": "from",
"2": "totalCount"
},
"description": "Pagination information."
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"recruitersUserId": {
"type": "string",
"description": "User ID of the recruiter."
},
"candidateId": {
"type": "string",
"description": "ID of the candidate."
},
"projectName": {
"type": "string",
"description": "Name of the project."
},
"projectId": {
"type": "string",
"description": "ID of the project."
},
"actionType": {
"type": "string",
"description": "Type of the action."
},
"actionValue": {
"type": "string",
"description": "Value associated with the action."
},
"createdDate": {
"type": "string",
"description": "Timestamp of when the activity was created."
},
"scopeAttr": {
"type": "object",
"properties": {
"scopeId": {
"type": "string",
"description": "ID associated with the scope."
}
},
"required": {
"0": "scopeId"
},
"description": "Scope attribute information."
},
"recruiterName": {
"type": "string",
"description": "Name of the recruiter."
}
},
"required": {
"0": "recruitersUserId",
"1": "candidateId",
"2": "projectName",
"3": "projectId",
"4": "actionType",
"5": "actionValue",
"6": "createdDate",
"7": "scopeAttr",
"8": "recruiterName"
},
"description": "Information about a project activity."
}
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp",
"3": "pagination",
"4": "data"
},
"description": "Response containing information about project activities."
}
]204 response
copied![
{}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the error response."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The API or endpoint associated with the error."
},
"message": {
"type": "string",
"description": "A descriptive error message."
}
},
"description": "Details of an individual error within the array."
},
"description": "An array containing details of errors."
}
},
"description": "Error response object for a bad request."
}
]404 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the not found error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the not found error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the not found error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Not found error response object."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | GetProjectActivitiesResponse |
| 204 | 204 response | |
| 400 | 400 response | BadRequestError |
| 404 | 404 response | NotFoundError |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/projects-api/v1/projects/{projectId}/candidates
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'POST /projects-api/v1/projects/{projectId}/candidates
This API allows you to assign Candidate to a project
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"projectName": {
"type": "string",
"description": "Name of the project to which candidates are being assigned."
},
"candidateInfos": {
"type": "array",
"items": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "User ID of the candidate being assigned to the project."
}
},
"required": {
"0": "userId"
}
},
"description": "List of candidate information objects."
}
},
"required": {
"0": "projectName",
"1": "candidateInfos"
},
"description": "Object representing the assignment of candidates to a project."
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| projectId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | AssignCandidatesToProject |
Response
201 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Status of the response."
},
"message": {
"type": "string",
"description": "Message associated with the response."
},
"timestamp": {
"type": "string",
"description": "Timestamp of the response."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Response containing information about the assignment of a candidate to a project."
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the error response."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The API or endpoint associated with the error."
},
"message": {
"type": "string",
"description": "A descriptive error message."
}
},
"description": "Details of an individual error within the array."
},
"description": "An array containing details of errors."
}
},
"description": "Error response object for a bad request."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the internal server error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the internal server error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the internal server error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Internal server error response object."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 201 | 201 response | AssignCandidateToProjectResponse |
| 400 | 400 response | BadRequestError |
| 500 | 500 response | InternalServerError |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/projects-api/v1/projects/{projectId}/candidates
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /projects-api/v1/projects/{projectId}/candidates
This API allows you to get all CandidateIds for given Project.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| projectId | path | string | true |
| from | query | integer | false |
| size | query | integer | false |
Response
200 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Indicates the status of the operation (e.g., success, failure)."
},
"message": {
"type": "string",
"description": "A human readable message providing details about the operation result."
},
"timestamp": {
"type": "string",
"description": "Timestamp indicating when the operation was performed."
},
"pagination": {
"type": "object",
"properties": {
"size": {
"type": "number",
"description": "Number of candidateIds per page in the paginated response."
},
"from": {
"type": "number",
"description": "Index of the first candidateId in the current response."
},
"totalCount": {
"type": "number",
"description": "Total count of candidateIds."
}
},
"required": {
"0": "size",
"1": "from",
"2": "totalCount"
},
"description": "Pagination information for the response."
},
"data": {
"type": "array",
"items": {
"type": "string"
},
"description": "Array of strings containing candidateIds."
}
}
}
]204 response
copied![
{
"type": "object",
"description": "Response indicating no data has been found.",
"properties": {}
}
]400 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status indicating a bad request."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The specific API error code or identifier."
},
"message": {
"type": "string",
"description": "A human readable error message describing the issue."
}
},
"required": {
"0": "timestamp",
"1": "errorAPI",
"2": "message"
},
"description": "Details of an individual error within the array."
}
}
},
"required": {
"0": "status",
"1": "errors"
},
"description": "Response object for a bad request, containing details about errors."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | GetProjectAssociationsResponse |
| 204 | 204 response | NoContentResponse |
| 400 | 400 response | BadRequest |
delete
copied!# You can also use wgetcurl -X DELETE https://api-qa.phenompro.com/projects-api/v1/projects/{projectId}/candidates/{candidateId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'DELETE /projects-api/v1/projects/{projectId}/candidates/{candidateId}
This API allows you to delete Candidate from a project
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| projectId | path | string | true |
| candidateId | path | string | true |
Response
200 response
copied![
{
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "A message related to the deletion of the candidate from the project."
}
},
"required": {
"0": "message"
},
"description": "Response containing information about the deletion of a candidate from a project."
}
]500 response
copied![
{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the internal server error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the internal server error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the internal server error occurred."
}
},
"required": {
"0": "status",
"1": "message",
"2": "timestamp"
},
"description": "Internal server error response object."
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response | DeleteCandidateFromProject |
| 500 | 500 response | InternalServerError |
Schemas
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "Indicates the status of the operation (e.g., success, failure)."
},
"message": {
"type": "string",
"description": "A human readable message providing details about the operation result."
},
"timestamp": {
"type": "string",
"description": "Timestamp indicating when the operation was performed."
},
"pagination": {
"type": "object",
"properties": {
"size": {
"type": "number",
"description": "Number of candidateIds per page in the paginated response."
},
"from": {
"type": "number",
"description": "Index of the first candidateId in the current response."
},
"totalCount": {
"type": "number",
"description": "Total count of candidateIds."
}
},
"required": [
"size",
"from",
"totalCount"
],
"description": "Pagination information for the response."
},
"data": {
"type": "array",
"items": {
"type": "string"
},
"description": "Array of strings containing candidateIds."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Indicates the status of the operation (e.g., success, failure). |
| message | string | A human readable message providing details about the operation result. |
| timestamp | string | Timestamp indicating when the operation was performed. |
| pagination | object | Pagination information for the response. |
| size | number | Number of candidateIds per page in the paginated response. |
| from | number | Index of the first candidateId in the current response. |
| totalCount | number | Total count of candidateIds. |
| data | [string] | Array of strings containing candidateIds. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the response status."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the response was generated."
},
"pagination": {
"type": "object",
"properties": {
"size": {
"type": "integer",
"description": "The number of items in the current page."
},
"from": {
"type": "integer",
"description": "The starting index of items in the current page."
},
"totalCount": {
"type": "integer",
"description": "The total number of items available."
}
},
"required": [
"size",
"from",
"totalCount"
],
"description": "Pagination details for the response."
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"projectName": {
"type": "string",
"description": "The name of the project."
},
"projectId": {
"type": "string",
"description": "The unique identifier for the project."
},
"createdDate": {
"type": "string",
"description": "The date when the project was created."
},
"createdRecruiterInfo": {
"type": "object",
"properties": {
"recruiterUserId": {
"type": "string",
"description": "The unique identifier for the recruiter who created the project."
},
"recruiterName": {
"type": "string",
"description": "The name of the recruiter who created the project."
},
"recruiterEmail": {
"type": "string",
"description": "The email address of the recruiter who created the project."
}
},
"required": [
"recruiterUserId",
"recruiterName",
"recruiterEmail"
],
"description": "Details of the recruiter who created the project."
},
"workflowId": {
"type": "string",
"description": "The unique identifier for the workflow associated with the project."
},
"workflowName": {
"type": "string",
"description": "The name of the workflow associated with the project."
}
},
"required": [
"projectName",
"projectId",
"createdDate",
"createdRecruiterInfo",
"workflowId",
"workflowName"
],
"description": "Details of an individual project within the array."
},
"description": "An array containing details of projects."
}
},
"required": [
"status",
"message",
"timestamp",
"pagination",
"data"
],
"description": "Response object for a successful fetch of projects."
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | The status of the response. |
| message | string | A descriptive message associated with the response status. |
| timestamp | string | The timestamp indicating when the response was generated. |
| pagination | object | Pagination details for the response. |
| size | integer | The number of items in the current page. |
| from | integer | The starting index of items in the current page. |
| totalCount | integer | The total number of items available. |
| data | [object] | An array containing details of projects. |
| projectName | string | The name of the project. |
| projectId | string | The unique identifier for the project. |
| createdDate | string | The date when the project was created. |
| createdRecruiterInfo | object | Details of the recruiter who created the project. |
| recruiterUserId | string | The unique identifier for the recruiter who created the project. |
| recruiterName | string | The name of the recruiter who created the project. |
| recruiterEmail | string | The email address of the recruiter who created the project. |
| workflowId | string | The unique identifier for the workflow associated with the project. |
| workflowName | string | The name of the workflow associated with the project. |
copied!{
"type": "object",
"description": "Response indicating no data has been found.",
"properties": {}
}Properties
| Name | Type |
|---|
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the response status."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the response was generated."
},
"pagination": {
"type": "object",
"properties": {
"size": {
"type": "integer",
"description": "The number of items in the current page."
},
"from": {
"type": "integer",
"description": "The starting index of items in the current page."
},
"totalCount": {
"type": "integer",
"description": "The total number of items available."
}
},
"required": [
"size",
"from",
"totalCount"
],
"description": "Pagination details for the response."
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"workflowName": {
"type": "string",
"description": "The name of the workflow."
},
"createdDate": {
"type": "string",
"description": "The date when the workflow was created."
},
"updatedDate": {
"type": "string",
"description": "The date when the workflow was last updated."
},
"stages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name of the workflow stage."
},
"statusCode": {
"type": "string",
"description": "The status code associated with the stage."
},
"statusId": {
"type": "string",
"description": "The unique identifier for the stage."
},
"furtherTransitionStages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name of the further transition stage."
},
"statusCode": {
"type": "string",
"description": "The status code associated with the further transition stage."
}
},
"required": [
"name",
"statusCode"
],
"description": "Details of a further transition stage."
}
},
"isRejectionStage": {
"type": "boolean",
"description": "Indicates whether the stage is a rejection stage."
},
"isFinalStage": {
"type": "boolean",
"description": "Indicates whether the stage is a final stage."
},
"isDeletedStage": {
"type": "boolean",
"description": "Indicates whether the stage is a deleted stage."
}
},
"required": [
"name",
"statusCode",
"statusId",
"furtherTransitionStages",
"isRejectionStage",
"isFinalStage",
"isDeletedStage"
],
"description": "Details of an individual workflow stage."
},
"description": "An array containing details of workflow stages."
},
"createdByRecruiterInfo": {
"type": "object",
"properties": {
"recruiterUserId": {
"type": "string",
"description": "The unique identifier for the recruiter who created the workflow."
}
},
"required": [
"recruiterUserId"
],
"description": "Details of the recruiter who created the workflow."
},
"workflowId": {
"type": "string",
"description": "The unique identifier for the workflow."
},
"activeStagesCount": {
"type": "integer",
"description": "The number of active stages in the workflow."
}
},
"required": [
"workflowName",
"createdDate",
"updatedDate",
"stages",
"createdByRecruiterInfo",
"workflowId",
"activeStagesCount"
],
"description": "Details of an individual workflow within the array."
},
"description": "An array containing details of workflows."
}
},
"required": [
"status",
"message",
"timestamp",
"pagination",
"data"
],
"description": "Response object for a successful fetch of workflows."
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | The status of the response. |
| message | string | A descriptive message associated with the response status. |
| timestamp | string | The timestamp indicating when the response was generated. |
| pagination | object | Pagination details for the response. |
| size | integer | The number of items in the current page. |
| from | integer | The starting index of items in the current page. |
| totalCount | integer | The total number of items available. |
| data | [object] | An array containing details of workflows. |
| workflowName | string | The name of the workflow. |
| createdDate | string | The date when the workflow was created. |
| updatedDate | string | The date when the workflow was last updated. |
| stages | [object] | An array containing details of workflow stages. |
| name | string | The name of the workflow stage. |
| statusCode | string | The status code associated with the stage. |
| statusId | string | The unique identifier for the stage. |
| furtherTransitionStages | [object] | Details of a further transition stage. |
| name | string | The name of the further transition stage. |
| statusCode | string | The status code associated with the further transition stage. |
| isRejectionStage | boolean | Indicates whether the stage is a rejection stage. |
| isFinalStage | boolean | Indicates whether the stage is a final stage. |
| isDeletedStage | boolean | Indicates whether the stage is a deleted stage. |
| createdByRecruiterInfo | object | Details of the recruiter who created the workflow. |
| recruiterUserId | string | The unique identifier for the recruiter who created the workflow. |
| workflowId | string | The unique identifier for the workflow. |
| activeStagesCount | integer | The number of active stages in the workflow. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the response status."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the response was generated."
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"projectName": {
"type": "string",
"description": "The name of the project."
},
"projectDescription": {
"type": "string",
"description": "The description of the project."
},
"projectId": {
"type": "string",
"description": "The unique identifier for the project."
},
"createdDate": {
"type": "string",
"description": "The date when the project was created."
},
"updatedDate": {
"type": "string",
"description": "The date when the project was last updated."
},
"endDate": {
"type": "string",
"description": "The end date of the project."
},
"status": {
"type": "string",
"description": "The status of the project."
},
"isConfidential": {
"type": "string",
"description": "Indicates whether the project is confidential."
},
"createdRecruiterInfo": {
"type": "object",
"properties": {
"recruiterUserId": {
"type": "string",
"description": "The unique identifier for the recruiter who created the project."
},
"recruiterName": {
"type": "string",
"description": "The name of the recruiter who created the project."
},
"recruiterEmail": {
"type": "string",
"description": "The email of the recruiter who created the project."
}
},
"description": "Details of the recruiter who created the project."
},
"updatedRecruiterInfo": {
"type": "object",
"properties": {
"recruiterUserId": {
"type": "string",
"description": "The unique identifier for the recruiter who last updated the project."
},
"recruiterName": {
"type": "string",
"description": "The name of the recruiter who last updated the project."
},
"recruiterEmail": {
"type": "string",
"description": "The email of the recruiter who last updated the project."
}
},
"description": "Details of the recruiter who last updated the project."
},
"workflowId": {
"type": "string",
"description": "The unique identifier for the workflow associated with the project."
},
"workflowName": {
"type": "string",
"description": "The name of the workflow associated with the project."
},
"brand": {
"type": "string",
"description": "The brand associated with the project."
},
"source": {
"type": "string",
"description": "The source of the project."
},
"hiringTeamList": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name of a member in the hiring team."
},
"emailId": {
"type": "string",
"description": "The email address of a member in the hiring team."
},
"role": {
"type": "string",
"description": "The role of a member in the hiring team."
},
"id": {
"type": "string",
"description": "The unique identifier for a member in the hiring team."
},
"type": {
"type": "string",
"description": "The type of a member in the hiring team."
},
"pictureS3Url": {
"type": "string",
"description": "The URL of the picture of a member in the hiring team."
}
}
},
"description": "An array containing details of the hiring team for the project."
},
"categoryList": {
"type": "array",
"items": {},
"description": "An array containing details of categories associated with the project."
},
"projectAttachmentList": {
"type": "array",
"items": {},
"description": "An array containing details of attachments associated with the project."
},
"matchingCriteria": {
"type": "object",
"properties": {
"mustHaveSkills": {
"type": "array",
"items": {},
"description": "An array containing details of must-have skills for the project."
},
"goodToHaveSkills": {
"type": "array",
"items": {},
"description": "An array containing details of good-to-have skills for the project."
},
"locationList": {
"type": "array",
"items": {},
"description": "An array containing details of locations for the project."
},
"yearsOfExperience": {
"type": "object",
"properties": {
"min": {
"type": "number",
"description": "The minimum years of experience required for the project."
},
"max": {
"type": "number",
"description": "The maximum years of experience required for the project."
},
"unit": {
"type": "string",
"description": "The unit of years for the experience requirement (e.g., 'years')."
}
},
"description": "Details of the years of experience required for the project."
},
"distance": {
"type": "object",
"properties": {
"min": {
"type": "number",
"description": "The minimum distance for the project."
},
"max": {
"type": "number",
"description": "The maximum distance for the project."
},
"unit": {
"type": "string",
"description": "The unit of distance for the project (e.g., 'miles')."
}
},
"description": "Details of the distance for the project."
},
"similarJobTitle": {
"type": "string",
"description": "The similar job title for the project."
},
"idealCandidate": {
"type": "object",
"description": "Details of the ideal candidate for the project."
}
},
"description": "Details of the matching criteria for the project."
},
"categoryNames": {
"type": "array",
"items": {},
"description": "An array containing names of categories associated with the project."
},
"confidential": {
"type": "string",
"description": "Indicates whether the project is confidential."
},
"candidateInfos": {
"type": "array",
"items": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "The unique identifier for a candidate in the project."
},
"parentId": {
"type": "string",
"description": "The unique identifier for the parent of the candidate in the project."
}
},
"required": [
"userId",
"parentId"
],
"description": "Details of a candidate in the project."
},
"description": "An array containing details of candidates associated with the project."
}
},
"required": [
"projectName",
"projectDescription",
"projectId",
"createdDate",
"updatedDate",
"endDate",
"status",
"isConfidential",
"createdRecruiterInfo",
"updatedRecruiterInfo",
"workflowId",
"workflowName",
"brand",
"source",
"hiringTeamList",
"categoryList",
"projectAttachmentList",
"matchingCriteria",
"categoryNames",
"confidential",
"candidateInfos"
],
"description": "Details of an individual project within the array."
},
"description": "An array containing details of projects."
}
},
"description": "Response object for a successful fetch of projects."
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | The status of the response. |
| message | string | A descriptive message associated with the response status. |
| timestamp | string | The timestamp indicating when the response was generated. |
| data | [object] | An array containing details of projects. |
| projectName | string | The name of the project. |
| projectDescription | string | The description of the project. |
| projectId | string | The unique identifier for the project. |
| createdDate | string | The date when the project was created. |
| updatedDate | string | The date when the project was last updated. |
| endDate | string | The end date of the project. |
| status | string | The status of the project. |
| isConfidential | string | Indicates whether the project is confidential. |
| createdRecruiterInfo | object | Details of the recruiter who created the project. |
| recruiterUserId | string | The unique identifier for the recruiter who created the project. |
| recruiterName | string | The name of the recruiter who created the project. |
| recruiterEmail | string | The email of the recruiter who created the project. |
| updatedRecruiterInfo | object | Details of the recruiter who last updated the project. |
| recruiterUserId | string | The unique identifier for the recruiter who last updated the project. |
| recruiterName | string | The name of the recruiter who last updated the project. |
| recruiterEmail | string | The email of the recruiter who last updated the project. |
| workflowId | string | The unique identifier for the workflow associated with the project. |
| workflowName | string | The name of the workflow associated with the project. |
| brand | string | The brand associated with the project. |
| source | string | The source of the project. |
| hiringTeamList | [object] | An array containing details of the hiring team for the project. |
| name | string | The name of a member in the hiring team. |
| emailId | string | The email address of a member in the hiring team. |
| role | string | The role of a member in the hiring team. |
| id | string | The unique identifier for a member in the hiring team. |
| type | string | The type of a member in the hiring team. |
| pictureS3Url | string | The URL of the picture of a member in the hiring team. |
| categoryList | array | An array containing details of categories associated with the project. |
| projectAttachmentList | array | An array containing details of attachments associated with the project. |
| matchingCriteria | object | Details of the matching criteria for the project. |
| mustHaveSkills | array | An array containing details of must-have skills for the project. |
| goodToHaveSkills | array | An array containing details of good-to-have skills for the project. |
| locationList | array | An array containing details of locations for the project. |
| yearsOfExperience | object | Details of the years of experience required for the project. |
| min | number | The minimum years of experience required for the project. |
| max | number | The maximum years of experience required for the project. |
| unit | string | The unit of years for the experience requirement (e.g., 'years'). |
| distance | object | Details of the distance for the project. |
| min | number | The minimum distance for the project. |
| max | number | The maximum distance for the project. |
| unit | string | The unit of distance for the project (e.g., 'miles'). |
| similarJobTitle | string | The similar job title for the project. |
| idealCandidate | object | Details of the ideal candidate for the project. |
| categoryNames | array | An array containing names of categories associated with the project. |
| confidential | string | Indicates whether the project is confidential. |
| candidateInfos | [object] | An array containing details of candidates associated with the project. |
| userId | string | The unique identifier for a candidate in the project. |
| parentId | string | The unique identifier for the parent of the candidate in the project. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the error response."
},
"errors": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the error occurred."
},
"errorAPI": {
"type": "string",
"description": "The API or endpoint associated with the error."
},
"message": {
"type": "string",
"description": "A descriptive error message."
}
},
"description": "Details of an individual error within the array."
},
"description": "An array containing details of errors."
}
},
"description": "Error response object for a bad request."
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | The status of the error response. |
| errors | [object] | An array containing details of errors. |
| timestamp | string | The timestamp indicating when the error occurred. |
| errorAPI | string | The API or endpoint associated with the error. |
| message | string | A descriptive error message. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the internal server error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the internal server error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the internal server error occurred."
}
},
"required": [
"status",
"message",
"timestamp"
],
"description": "Internal server error response object."
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | The status of the internal server error response. |
| message | string | A descriptive message associated with the internal server error. |
| timestamp | string | The timestamp indicating when the internal server error occurred. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the not found error response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the not found error."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the not found error occurred."
}
},
"required": [
"status",
"message",
"timestamp"
],
"description": "Not found error response object."
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | The status of the not found error response. |
| message | string | A descriptive message associated with the not found error. |
| timestamp | string | The timestamp indicating when the not found error occurred. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "string",
"description": "The status of the creation response."
},
"message": {
"type": "string",
"description": "A descriptive message associated with the creation response."
},
"timestamp": {
"type": "string",
"description": "The timestamp indicating when the creation response occurred."
},
"id": {
"type": "string",
"description": "The identifier associated with the created entity."
}
},
"required": [
"status",
"message",
"timestamp",
"id"
],
"description": "Creation response object."
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | The status of the creation response. |
| message | string | A descriptive message associated with the creation response. |
| timestamp | string | The timestamp indicating when the creation response occurred. |
| id | string | The identifier associated with the created entity. |
copied!{
"type": "object",
"properties": {
"projectName": {
"type": "string",
"description": "Name of the project to which candidates are being assigned."
},
"candidateInfos": {
"type": "array",
"items": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "User ID of the candidate being assigned to the project."
}
},
"required": [
"userId"
]
},
"description": "List of candidate information objects."
}
},
"required": [
"projectName",
"candidateInfos"
],
"description": "Object representing the assignment of candidates to a project."
}Properties
| Name | Type | Description |
|---|---|---|
| projectName | string | Name of the project to which candidates are being assigned. |
| candidateInfos | [object] | List of candidate information objects. |
| userId | string | User ID of the candidate being assigned to the project. |
copied!{
"type": "object",
"properties": {
"projectName": {
"type": "string",
"description": "Name of the project."
},
"projectDescription": {
"type": "string",
"description": "Description of the project."
},
"isConfidential": {
"type": "boolean",
"description": "Flag indicating whether the project is confidential."
},
"categoryList": {
"type": "array",
"items": {
"type": "object",
"properties": {
"internalCategoryId": {
"type": "string",
"description": "Internal category ID."
},
"category": {
"type": "string",
"description": "Category name."
}
},
"required": [
"internalCategoryId",
"category"
]
},
"description": "List of project categories."
},
"endDate": {
"type": "string",
"description": "End date of the project."
},
"hiringTeamList": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the team member."
},
"emailId": {
"type": "string",
"description": "Email ID of the team member."
},
"type": {
"type": "string",
"description": "Type of the team member."
},
"role": {
"type": "string",
"description": "Role of the team member."
},
"id": {
"type": "string",
"description": "ID of the team member."
}
},
"required": [
"name",
"emailId",
"type",
"role",
"id"
]
},
"description": "List of hiring team members."
},
"projectAttachmentList": {
"type": "array",
"items": {
"type": "object",
"properties": {
"fileName": {
"type": "string",
"description": "Name of the attached file."
},
"description": {
"type": "string",
"description": "Description of the attached file."
},
"fileUrl": {
"type": "string",
"description": "URL of the attached file."
},
"uploadedByEmail": {
"type": "string",
"description": "Email of the user who uploaded the file."
},
"uploadedByName": {
"type": "string",
"description": "Name of the user who uploaded the file."
},
"size": {
"type": "integer",
"format": "int32",
"description": "Size of the attached file in bytes."
}
},
"required": [
"fileName",
"description",
"fileUrl",
"uploadedByEmail",
"uploadedByName",
"size"
]
},
[...]
